# Calculator Block Module

The **Calculator Block Module** provides a block to display a simple calculator on your website with predefined layouts. You can override the default CSS layouts in your custom theme and adjust the design as needed.

## Table of Contents

1.  [Requirements](#requirements)
2.  [Installation](#installation)
3.  [Configuration](#configuration)
4.  [Troubleshooting & FAQ](#troubleshooting--faq)
5.  [Maintainers](#maintainers)

## Requirements

*   No extra module is required.

## Installation

*   Install as usual, see [https://www.drupal.org/docs/8/extending-drupal-8/installing-contributed-modules-find-import-enable-configure-drupal-8]( https://www.drupal.org/docs/8/extending-drupal-8/installing-contributed-modules-find-import-enable-configure-drupal-8) for further information.

## Configuration

### Override the CSS Layout

You can override the default calculator layout by adding custom CSS. Copy the existing CSS styles and modify them in your custom theme.

### Override the Calculator Template

If you want to modify the HTML structure of the calculator:

1.  Copy the template file from `templates/calculator-block.html.twig`.
2.  Place the copied file in your custom theme’s template directory.
3.  Customize the HTML and add your own CSS to achieve the desired design layout. Available variables are included within the Twig template for ease of customization.

## Troubleshooting & FAQ

### Can I override both the layout and template?

Yes, you can override both the layout CSS and the HTML structure by following the instructions provided in the Configuration section.

### The block doesn’t appear on my site.

Ensure that the module is enabled, and the block is placed in a visible region of your theme via the CMS's block placement settings.

## Maintainers

This module is maintained by Sujan Shrestha